Package org.apache.sling.feature.maven.mojos.apis

# Enum ArtifactType

java.lang.Object
java.lang.Enum<ArtifactType>
org.apache.sling.feature.maven.mojos.apis.ArtifactType

All Implemented Interfaces:
  `Serializable`, `Comparable<ArtifactType>`

public enum ArtifactType extends Enum<ArtifactType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APIS`
`CND`
`DEPENDENCIES`
`DEPENDENCY_REPORT`
`JAVADOC`
`JAVADOC_ALL`
`REPORT`
`SOURCES`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentExtension()`
`String`
`getContentType()`
`String`
`getExtension()`
`String`
`getId()`
`static ArtifactType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ArtifactType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### APIS

public static final ArtifactType APIS

### SOURCES

public static final ArtifactType SOURCES

### JAVADOC

public static final ArtifactType JAVADOC

### JAVADOC_ALL

public static final ArtifactType JAVADOC_ALL

### DEPENDENCIES

public static final ArtifactType DEPENDENCIES

### CND

public static final ArtifactType CND

### REPORT

public static final ArtifactType REPORT

### DEPENDENCY_REPORT

public static final ArtifactType DEPENDENCY_REPORT

## Method Details

### values

public static ArtifactType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ArtifactType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public String getId()

### getContentType

public String getContentType()

### getContentExtension

public String getContentExtension()

### getExtension

public String getExtension()